/* SourceSelector.c generated by valac 0.40.7, the Vala compiler
 * generated from SourceSelector.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 Pantheon Developers (https://launchpad.net/switchboard-plug-onlineaccounts)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <pantheon-online-accounts.h>
#include <gee.h>
#include <libaccounts-glib/accounts-glib.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>
#include <pango/pango.h>


#define ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR (online_accounts_source_selector_get_type ())
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelector))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelectorClass))
#define ONLINE_ACCOUNTS_IS_SOURCE_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR))
#define ONLINE_ACCOUNTS_IS_SOURCE_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelectorClass))

typedef struct _OnlineAccountsSourceSelector OnlineAccountsSourceSelector;
typedef struct _OnlineAccountsSourceSelectorClass OnlineAccountsSourceSelectorClass;
typedef struct _OnlineAccountsSourceSelectorPrivate OnlineAccountsSourceSelectorPrivate;
enum  {
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_0_PROPERTY,
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_NUM_PROPERTIES
};
static GParamSpec* online_accounts_source_selector_properties[ONLINE_ACCOUNTS_SOURCE_SELECTOR_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_AgProvider_free0(var) ((var == NULL) ? NULL : (var = (_vala_AgProvider_free (var), NULL)))

#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW (online_accounts_source_selector_account_row_get_type ())
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRowClass))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_IS_ACCOUNT_ROW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_IS_ACCOUNT_ROW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW))
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRowClass))

typedef struct _OnlineAccountsSourceSelectorAccountRow OnlineAccountsSourceSelectorAccountRow;
typedef struct _OnlineAccountsSourceSelectorAccountRowClass OnlineAccountsSourceSelectorAccountRowClass;
typedef struct _OnlineAccountsSourceSelectorAccountRowPrivate OnlineAccountsSourceSelectorAccountRowPrivate;
enum  {
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_0_PROPERTY,
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_NUM_PROPERTIES
};
static GParamSpec* online_accounts_source_selector_account_row_properties[ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_SELECTED_SIGNAL,
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_NEW_ACCOUNT_REQUEST_SIGNAL,
	ONLINE_ACCOUNTS_SOURCE_SELECTOR_NUM_SIGNALS
};
static guint online_accounts_source_selector_signals[ONLINE_ACCOUNTS_SOURCE_SELECTOR_NUM_SIGNALS] = {0};

struct _OnlineAccountsSourceSelector {
	GtkGrid parent_instance;
	OnlineAccountsSourceSelectorPrivate * priv;
};

struct _OnlineAccountsSourceSelectorClass {
	GtkGridClass parent_class;
};

struct _OnlineAccountsSourceSelectorPrivate {
	GtkToolButton* remove_button;
	GtkToolButton* add_button;
	GtkListBox* list_box;
};

struct _OnlineAccountsSourceSelectorAccountRow {
	GtkListBoxRow parent_instance;
	OnlineAccountsSourceSelectorAccountRowPrivate * priv;
	OnlineAccountsAccount* account;
};

struct _OnlineAccountsSourceSelectorAccountRowClass {
	GtkListBoxRowClass parent_class;
};

struct _OnlineAccountsSourceSelectorAccountRowPrivate {
	GtkImage* image;
	GtkLabel* username;
	GtkLabel* service;
};


static gpointer online_accounts_source_selector_parent_class = NULL;
static gpointer online_accounts_source_selector_account_row_parent_class = NULL;

GType online_accounts_source_selector_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelectorPrivate))
OnlineAccountsSourceSelector* online_accounts_source_selector_new (void);
OnlineAccountsSourceSelector* online_accounts_source_selector_construct (GType object_type);
static void online_accounts_source_selector_add_plugin_callback (OnlineAccountsSourceSelector* self,
                                                          OnlineAccountsAccount* account);
static void _online_accounts_source_selector_add_plugin_callback_online_accounts_accounts_manager_account_added (OnlineAccountsAccountsManager* _sender,
                                                                                                          OnlineAccountsAccount* account,
                                                                                                          gpointer self);
static void _vala_AgProvider_free (AgProvider* self);
GType online_accounts_source_selector_account_row_get_type (void) G_GNUC_CONST;
OnlineAccountsSourceSelectorAccountRow* online_accounts_source_selector_account_row_new (OnlineAccountsAccount* account,
                                                                                         AgProvider* provider);
OnlineAccountsSourceSelectorAccountRow* online_accounts_source_selector_account_row_construct (GType object_type,
                                                                                               OnlineAccountsAccount* account,
                                                                                               AgProvider* provider);
OnlineAccountsAccount* online_accounts_source_selector_get_selected_account (OnlineAccountsSourceSelector* self);
static void online_accounts_source_selector_remove_source (OnlineAccountsSourceSelector* self);
static GObject * online_accounts_source_selector_constructor (GType type,
                                                       guint n_construct_properties,
                                                       GObjectConstructParam * construct_properties);
static void _online_accounts_source_selector___lambda17_ (OnlineAccountsSourceSelector* self);
static void __online_accounts_source_selector___lambda17__gtk_tool_button_clicked (GtkToolButton* _sender,
                                                                            gpointer self);
static void _online_accounts_source_selector_remove_source_gtk_tool_button_clicked (GtkToolButton* _sender,
                                                                             gpointer self);
static void _online_accounts_source_selector___lambda18_ (OnlineAccountsSourceSelector* self,
                                                   GtkListBoxRow* row);
static void __online_accounts_source_selector___lambda18__gtk_list_box_row_activated (GtkListBox* _sender,
                                                                               GtkListBoxRow* row,
                                                                               gpointer self);
#define ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRowPrivate))
static GObject * online_accounts_source_selector_account_row_constructor (GType type,
                                                                   guint n_construct_properties,
                                                                   GObjectConstructParam * construct_properties);
static void online_accounts_source_selector_account_row_finalize (GObject * obj);
static void online_accounts_source_selector_finalize (GObject * obj);


static gpointer
_g_object_ref0 (gpointer self)
{
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return self ? g_object_ref (self) : NULL;
#line 160 "SourceSelector.c"
}


static void
_online_accounts_source_selector_add_plugin_callback_online_accounts_accounts_manager_account_added (OnlineAccountsAccountsManager* _sender,
                                                                                                     OnlineAccountsAccount* account,
                                                                                                     gpointer self)
{
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_add_plugin_callback ((OnlineAccountsSourceSelector*) self, account);
#line 171 "SourceSelector.c"
}


OnlineAccountsSourceSelector*
online_accounts_source_selector_construct (GType object_type)
{
	OnlineAccountsSourceSelector * self = NULL;
	OnlineAccountsAccountsManager* accounts_manager = NULL;
	OnlineAccountsAccountsManager* _tmp0_;
	OnlineAccountsAccountsManager* _tmp14_;
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = (OnlineAccountsSourceSelector*) g_object_new (object_type, NULL);
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = online_accounts_accounts_manager_get_default ();
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	accounts_manager = _tmp0_;
#line 188 "SourceSelector.c"
	{
		GeeArrayList* _account_list = NULL;
		OnlineAccountsAccountsManager* _tmp1_;
		GeeArrayList* _tmp2_;
		GeeArrayList* _tmp3_;
		gint _account_size = 0;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gint _account_index = 0;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp1_ = accounts_manager;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp2_ = _tmp1_->accounts_available;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_account_list = _tmp3_;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp4_ = _account_list;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp6_ = _tmp5_;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_account_size = _tmp6_;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_account_index = -1;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		while (TRUE) {
#line 219 "SourceSelector.c"
			gint _tmp7_;
			gint _tmp8_;
			gint _tmp9_;
			OnlineAccountsAccount* account = NULL;
			GeeArrayList* _tmp10_;
			gint _tmp11_;
			gpointer _tmp12_;
			OnlineAccountsAccount* _tmp13_;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp7_ = _account_index;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_account_index = _tmp7_ + 1;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp8_ = _account_index;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp9_ = _account_size;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
				break;
#line 240 "SourceSelector.c"
			}
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp10_ = _account_list;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp11_ = _account_index;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			account = (OnlineAccountsAccount*) _tmp12_;
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_tmp13_ = account;
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			online_accounts_source_selector_add_plugin_callback (self, _tmp13_);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
			_g_object_unref0 (account);
#line 256 "SourceSelector.c"
		}
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_g_object_unref0 (_account_list);
#line 260 "SourceSelector.c"
	}
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp14_ = accounts_manager;
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_connect_object (_tmp14_, "account-added", (GCallback) _online_accounts_source_selector_add_plugin_callback_online_accounts_accounts_manager_account_added, self, 0);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (accounts_manager);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return self;
#line 270 "SourceSelector.c"
}


OnlineAccountsSourceSelector*
online_accounts_source_selector_new (void)
{
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return online_accounts_source_selector_construct (ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR);
#line 279 "SourceSelector.c"
}


static void
_vala_AgProvider_free (AgProvider* self)
{
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_boxed_free (ag_provider_get_type (), self);
#line 288 "SourceSelector.c"
}


static void
online_accounts_source_selector_add_plugin_callback (OnlineAccountsSourceSelector* self,
                                                     OnlineAccountsAccount* account)
{
	AgProvider* provider = NULL;
	AgAccount* _tmp0_;
	AgManager* _tmp1_;
	AgAccount* _tmp2_;
	const gchar* _tmp3_;
	AgProvider* _tmp4_;
	AgProvider* _tmp5_;
	OnlineAccountsSourceSelectorAccountRow* row = NULL;
	AgProvider* _tmp6_;
	OnlineAccountsSourceSelectorAccountRow* _tmp7_;
	OnlineAccountsSourceSelectorAccountRow* _tmp8_;
	GtkListBox* _tmp9_;
	OnlineAccountsSourceSelectorAccountRow* _tmp10_;
	GtkListBox* _tmp11_;
	GList* _tmp12_;
	GList* _tmp13_;
	gboolean _tmp14_;
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_if_fail (account != NULL);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = account->account;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = ag_account_get_manager (_tmp0_);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = account->account;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = ag_account_get_provider_name (_tmp2_);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = ag_manager_get_provider (_tmp1_, _tmp3_);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	provider = _tmp4_;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = provider;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	if (_tmp5_ == NULL) {
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		__vala_AgProvider_free0 (provider);
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		return;
#line 337 "SourceSelector.c"
	}
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp6_ = provider;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp7_ = online_accounts_source_selector_account_row_new (account, _tmp6_);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp7_);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	row = _tmp7_;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp8_ = row;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp8_);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp9_ = self->priv->list_box;
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp10_ = row;
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) _tmp9_, (GtkWidget*) _tmp10_);
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp11_ = self->priv->list_box;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp12_ = gtk_container_get_children ((GtkContainer*) _tmp11_);
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp13_ = _tmp12_;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp14_ = g_list_length (_tmp13_) == ((guint) 1);
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	(_tmp13_ == NULL) ? NULL : (_tmp13_ = (g_list_free (_tmp13_), NULL));
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	if (_tmp14_) {
#line 369 "SourceSelector.c"
		GtkListBox* _tmp15_;
		OnlineAccountsSourceSelectorAccountRow* _tmp16_;
		GtkListBox* _tmp17_;
		OnlineAccountsSourceSelectorAccountRow* _tmp18_;
#line 86 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp15_ = self->priv->list_box;
#line 86 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp16_ = row;
#line 86 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		gtk_list_box_select_row (_tmp15_, (GtkListBoxRow*) _tmp16_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp17_ = self->priv->list_box;
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp18_ = row;
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		g_signal_emit_by_name (_tmp17_, "row-activated", (GtkListBoxRow*) _tmp18_);
#line 386 "SourceSelector.c"
	}
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (row);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	__vala_AgProvider_free0 (provider);
#line 392 "SourceSelector.c"
}


OnlineAccountsAccount*
online_accounts_source_selector_get_selected_account (OnlineAccountsSourceSelector* self)
{
	OnlineAccountsAccount* result = NULL;
	GtkListBoxRow* selection = NULL;
	GtkListBox* _tmp0_;
	GtkListBoxRow* _tmp1_;
	GtkListBoxRow* _tmp2_;
	GtkListBoxRow* _tmp3_;
	OnlineAccountsAccount* _tmp4_;
	OnlineAccountsAccount* _tmp5_;
#line 91 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = self->priv->list_box;
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = gtk_list_box_get_selected_row (_tmp0_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	selection = _tmp1_;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = selection;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	if (_tmp2_ == NULL) {
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		result = NULL;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		return result;
#line 423 "SourceSelector.c"
	}
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = selection;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow)->account;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	result = _tmp5_;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return result;
#line 435 "SourceSelector.c"
}


static void
online_accounts_source_selector_remove_source (OnlineAccountsSourceSelector* self)
{
	GtkListBoxRow* selection = NULL;
	GtkListBox* _tmp0_;
	GtkListBoxRow* _tmp1_;
	GtkListBoxRow* _tmp2_;
	OnlineAccountsAccount* account = NULL;
	GtkListBoxRow* _tmp3_;
	OnlineAccountsAccount* _tmp4_;
	OnlineAccountsAccount* _tmp5_;
	OnlineAccountsAccountsManager* _tmp6_;
	OnlineAccountsAccountsManager* _tmp7_;
	OnlineAccountsAccount* _tmp8_;
	GtkListBoxRow* _tmp9_;
	GtkListBox* _tmp10_;
	GtkListBoxRow* _tmp11_;
	GtkListBoxRow* _tmp12_;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_if_fail (self != NULL);
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = self->priv->list_box;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = gtk_list_box_get_selected_row (_tmp0_);
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	selection = _tmp1_;
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = selection;
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	if (_tmp2_ == NULL) {
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		return;
#line 471 "SourceSelector.c"
	}
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = selection;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow)->account;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	account = _tmp5_;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp6_ = online_accounts_accounts_manager_get_default ();
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp7_ = _tmp6_;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp8_ = account;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_accounts_manager_remove_account (_tmp7_, _tmp8_);
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (_tmp7_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp9_ = selection;
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp9_);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp10_ = self->priv->list_box;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp11_ = gtk_list_box_get_row_at_index (_tmp10_, 0);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	selection = _tmp11_;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp12_ = selection;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	if (_tmp12_ != NULL) {
#line 505 "SourceSelector.c"
		GtkListBox* _tmp13_;
		GtkListBoxRow* _tmp14_;
		GtkListBox* _tmp15_;
		GtkListBoxRow* _tmp16_;
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp13_ = self->priv->list_box;
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp14_ = selection;
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		gtk_list_box_select_row (_tmp13_, _tmp14_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp15_ = self->priv->list_box;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		_tmp16_ = selection;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
		g_signal_emit_by_name (_tmp15_, "row-activated", _tmp16_);
#line 522 "SourceSelector.c"
	}
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (account);
#line 526 "SourceSelector.c"
}


static void
_online_accounts_source_selector___lambda17_ (OnlineAccountsSourceSelector* self)
{
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_emit (self, online_accounts_source_selector_signals[ONLINE_ACCOUNTS_SOURCE_SELECTOR_NEW_ACCOUNT_REQUEST_SIGNAL], 0);
#line 535 "SourceSelector.c"
}


static void
__online_accounts_source_selector___lambda17__gtk_tool_button_clicked (GtkToolButton* _sender,
                                                                       gpointer self)
{
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_online_accounts_source_selector___lambda17_ ((OnlineAccountsSourceSelector*) self);
#line 545 "SourceSelector.c"
}


static void
_online_accounts_source_selector_remove_source_gtk_tool_button_clicked (GtkToolButton* _sender,
                                                                        gpointer self)
{
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_remove_source ((OnlineAccountsSourceSelector*) self);
#line 555 "SourceSelector.c"
}


static void
_online_accounts_source_selector___lambda18_ (OnlineAccountsSourceSelector* self,
                                              GtkListBoxRow* row)
{
	OnlineAccountsAccount* _tmp0_;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_if_fail (row != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = G_TYPE_CHECK_INSTANCE_CAST (row, ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow)->account;
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_emit (self, online_accounts_source_selector_signals[ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_SELECTED_SIGNAL], 0, _tmp0_);
#line 570 "SourceSelector.c"
}


static void
__online_accounts_source_selector___lambda18__gtk_list_box_row_activated (GtkListBox* _sender,
                                                                          GtkListBoxRow* row,
                                                                          gpointer self)
{
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_online_accounts_source_selector___lambda18_ ((OnlineAccountsSourceSelector*) self, row);
#line 581 "SourceSelector.c"
}


static GObject *
online_accounts_source_selector_constructor (GType type,
                                             guint n_construct_properties,
                                             GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	OnlineAccountsSourceSelector * self;
	GtkListBox* _tmp0_;
	GtkListBox* _tmp1_;
	GtkListBox* _tmp2_;
	GtkScrolledWindow* scroll = NULL;
	GtkScrolledWindow* _tmp3_;
	GtkScrolledWindow* _tmp4_;
	GtkScrolledWindow* _tmp5_;
	GtkScrolledWindow* _tmp6_;
	GtkScrolledWindow* _tmp7_;
	GtkListBox* _tmp8_;
	GtkToolButton* _tmp9_;
	GtkToolButton* _tmp10_;
	GtkToolButton* _tmp11_;
	GtkToolButton* _tmp12_;
	GtkToolButton* _tmp13_;
	GtkToolButton* _tmp14_;
	GtkToolButton* _tmp15_;
	GtkToolButton* _tmp16_;
	GtkToolbar* toolbar = NULL;
	GtkToolbar* _tmp17_;
	GtkToolbar* _tmp18_;
	GtkStyleContext* _tmp19_;
	GtkToolbar* _tmp20_;
	GtkToolbar* _tmp21_;
	GtkToolbar* _tmp22_;
	GtkToolButton* _tmp23_;
	GtkToolbar* _tmp24_;
	GtkToolButton* _tmp25_;
	GtkScrolledWindow* _tmp26_;
	GtkToolbar* _tmp27_;
	GtkListBox* _tmp28_;
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	parent_class = G_OBJECT_CLASS (online_accounts_source_selector_parent_class);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelector);
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = (GtkListBox*) gtk_list_box_new ();
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp0_);
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->list_box);
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->list_box = _tmp0_;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = self->priv->list_box;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_list_box_set_selection_mode (_tmp1_, GTK_SELECTION_BROWSE);
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = self->priv->list_box;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_list_box_set_activate_on_single_click (_tmp2_, TRUE);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp3_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	scroll = _tmp3_;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = scroll;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp4_, 150, 150);
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = scroll;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set (_tmp5_, "hscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp6_ = scroll;
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set ((GtkWidget*) _tmp6_, "expand", TRUE, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp7_ = scroll;
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp8_ = self->priv->list_box;
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) _tmp7_, (GtkWidget*) _tmp8_);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp9_ = (GtkToolButton*) gtk_tool_button_new (NULL, NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp9_);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->add_button);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->add_button = _tmp9_;
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp10_ = self->priv->add_button;
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp10_, _ ("Add…"));
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp11_ = self->priv->add_button;
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_tool_button_set_icon_name (_tmp11_, "list-add-symbolic");
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp12_ = self->priv->add_button;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_connect_object (_tmp12_, "clicked", (GCallback) __online_accounts_source_selector___lambda17__gtk_tool_button_clicked, self, 0);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp13_ = (GtkToolButton*) gtk_tool_button_new (NULL, NULL);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->remove_button);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->remove_button = _tmp13_;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp14_ = self->priv->remove_button;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp14_, _ ("Remove"));
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp15_ = self->priv->remove_button;
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_tool_button_set_icon_name (_tmp15_, "list-remove-symbolic");
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp16_ = self->priv->remove_button;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_connect_object (_tmp16_, "clicked", (GCallback) _online_accounts_source_selector_remove_source_gtk_tool_button_clicked, self, 0);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp17_ = (GtkToolbar*) gtk_toolbar_new ();
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp17_);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	toolbar = _tmp17_;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp18_ = toolbar;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp19_ = gtk_widget_get_style_context ((GtkWidget*) _tmp18_);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_style_context_add_class (_tmp19_, GTK_STYLE_CLASS_INLINE_TOOLBAR);
#line 64 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp20_ = toolbar;
#line 64 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_toolbar_set_icon_size (_tmp20_, GTK_ICON_SIZE_SMALL_TOOLBAR);
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp21_ = toolbar;
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_toolbar_set_show_arrow (_tmp21_, FALSE);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp22_ = toolbar;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp23_ = self->priv->add_button;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) _tmp22_, (GtkWidget*) _tmp23_);
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp24_ = toolbar;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp25_ = self->priv->remove_button;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp26_ = scroll;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp26_);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp27_ = toolbar;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp27_);
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp28_ = self->priv->list_box;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_signal_connect_object (_tmp28_, "row-activated", (GCallback) __online_accounts_source_selector___lambda18__gtk_list_box_row_activated, self, 0);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (toolbar);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (scroll);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return obj;
#line 762 "SourceSelector.c"
}


OnlineAccountsSourceSelectorAccountRow*
online_accounts_source_selector_account_row_construct (GType object_type,
                                                       OnlineAccountsAccount* account,
                                                       AgProvider* provider)
{
	OnlineAccountsSourceSelectorAccountRow * self = NULL;
	OnlineAccountsAccount* _tmp0_;
	GtkImage* _tmp1_;
	const gchar* _tmp2_;
	GtkLabel* _tmp3_;
	AgAccount* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	GtkLabel* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_val_if_fail (account != NULL, NULL);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_return_val_if_fail (provider != NULL, NULL);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = (OnlineAccountsSourceSelectorAccountRow*) g_object_new (object_type, NULL);
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = _g_object_ref0 (account);
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->account);
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->account = _tmp0_;
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = self->priv->image;
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = ag_provider_get_icon_name (provider);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set (_tmp1_, "icon-name", _tmp2_, NULL);
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = self->priv->username;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = account->account;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = ag_account_get_display_name (_tmp4_);
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp6_ = _tmp5_;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_label_set_label (_tmp3_, _tmp6_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp7_ = self->priv->service;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp8_ = ag_provider_get_display_name (provider);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp9_ = g_markup_escape_text (_tmp8_, (gssize) -1);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp10_ = _tmp9_;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp11_ = g_strdup_printf ("<span font_size=\"small\">%s</span>", _tmp10_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp12_ = _tmp11_;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_label_set_label (_tmp7_, _tmp12_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_free0 (_tmp12_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_free0 (_tmp10_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return self;
#line 833 "SourceSelector.c"
}


OnlineAccountsSourceSelectorAccountRow*
online_accounts_source_selector_account_row_new (OnlineAccountsAccount* account,
                                                 AgProvider* provider)
{
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return online_accounts_source_selector_account_row_construct (ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, account, provider);
#line 843 "SourceSelector.c"
}


static GObject *
online_accounts_source_selector_account_row_constructor (GType type,
                                                         guint n_construct_properties,
                                                         GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	OnlineAccountsSourceSelectorAccountRow * self;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp0_;
	GtkGrid* _tmp1_;
	GtkGrid* _tmp2_;
	GtkImage* _tmp3_;
	GtkImage* _tmp4_;
	GtkImage* _tmp5_;
	GtkLabel* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	GtkLabel* _tmp9_;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkLabel* _tmp14_;
	GtkGrid* _tmp15_;
	GtkImage* _tmp16_;
	GtkGrid* _tmp17_;
	GtkLabel* _tmp18_;
	GtkGrid* _tmp19_;
	GtkLabel* _tmp20_;
	GtkGrid* _tmp21_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	parent_class = G_OBJECT_CLASS (online_accounts_source_selector_account_row_parent_class);
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow);
#line 127 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 127 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp0_);
#line 127 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	grid = _tmp0_;
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp1_ = grid;
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set ((GtkWidget*) _tmp1_, "margin", 6, NULL);
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp2_ = grid;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_grid_set_column_spacing (_tmp2_, 6);
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp3_ = (GtkImage*) gtk_image_new ();
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp3_);
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->image);
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->image = _tmp3_;
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp4_ = self->priv->image;
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set (_tmp4_, "icon-size", (gint) GTK_ICON_SIZE_DND, NULL);
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp5_ = self->priv->image;
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_set (_tmp5_, "use-fallback", TRUE, NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new (NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp6_);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->username);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->username = _tmp6_;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp7_ = self->priv->username;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_label_set_ellipsize (_tmp7_, PANGO_ELLIPSIZE_END);
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp8_ = self->priv->username;
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp8_, GTK_ALIGN_START);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp9_ = self->priv->username;
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (NULL);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_object_ref_sink (_tmp10_);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->service);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv->service = _tmp10_;
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp11_ = self->priv->service;
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_label_set_ellipsize (_tmp11_, PANGO_ELLIPSIZE_END);
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp12_ = self->priv->service;
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_START);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp13_ = self->priv->service;
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp13_, TRUE);
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp14_ = self->priv->service;
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_label_set_use_markup (_tmp14_, TRUE);
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp15_ = grid;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp16_ = self->priv->image;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_grid_attach (_tmp15_, (GtkWidget*) _tmp16_, 0, 0, 1, 2);
#line 143 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp17_ = grid;
#line 143 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp18_ = self->priv->username;
#line 143 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_grid_attach (_tmp17_, (GtkWidget*) _tmp18_, 1, 0, 1, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp19_ = grid;
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp20_ = self->priv->service;
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_grid_attach (_tmp19_, (GtkWidget*) _tmp20_, 1, 1, 1, 1);
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_tmp21_ = grid;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp21_);
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (grid);
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	return obj;
#line 984 "SourceSelector.c"
}


static void
online_accounts_source_selector_account_row_class_init (OnlineAccountsSourceSelectorAccountRowClass * klass)
{
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_account_row_parent_class = g_type_class_peek_parent (klass);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsSourceSelectorAccountRowPrivate));
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (klass)->constructor = online_accounts_source_selector_account_row_constructor;
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_source_selector_account_row_finalize;
#line 999 "SourceSelector.c"
}


static void
online_accounts_source_selector_account_row_instance_init (OnlineAccountsSourceSelectorAccountRow * self)
{
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv = ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_ROW_GET_PRIVATE (self);
#line 1008 "SourceSelector.c"
}


static void
online_accounts_source_selector_account_row_finalize (GObject * obj)
{
	OnlineAccountsSourceSelectorAccountRow * self;
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_SOURCE_SELECTOR_TYPE_ACCOUNT_ROW, OnlineAccountsSourceSelectorAccountRow);
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->account);
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->image);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->username);
#line 118 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->service);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (online_accounts_source_selector_account_row_parent_class)->finalize (obj);
#line 1028 "SourceSelector.c"
}


GType
online_accounts_source_selector_account_row_get_type (void)
{
	static volatile gsize online_accounts_source_selector_account_row_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_source_selector_account_row_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsSourceSelectorAccountRowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_source_selector_account_row_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsSourceSelectorAccountRow), 0, (GInstanceInitFunc) online_accounts_source_selector_account_row_instance_init, NULL };
		GType online_accounts_source_selector_account_row_type_id;
		online_accounts_source_selector_account_row_type_id = g_type_register_static (gtk_list_box_row_get_type (), "OnlineAccountsSourceSelectorAccountRow", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_source_selector_account_row_type_id__volatile, online_accounts_source_selector_account_row_type_id);
	}
	return online_accounts_source_selector_account_row_type_id__volatile;
}


static void
online_accounts_source_selector_class_init (OnlineAccountsSourceSelectorClass * klass)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsSourceSelectorPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (klass)->constructor = online_accounts_source_selector_constructor;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_source_selector_finalize;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_signals[ONLINE_ACCOUNTS_SOURCE_SELECTOR_ACCOUNT_SELECTED_SIGNAL] = g_signal_new ("account-selected", ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, ONLINE_ACCOUNTS_TYPE_ACCOUNT);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	online_accounts_source_selector_signals[ONLINE_ACCOUNTS_SOURCE_SELECTOR_NEW_ACCOUNT_REQUEST_SIGNAL] = g_signal_new ("new-account-request", ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1061 "SourceSelector.c"
}


static void
online_accounts_source_selector_instance_init (OnlineAccountsSourceSelector * self)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self->priv = ONLINE_ACCOUNTS_SOURCE_SELECTOR_GET_PRIVATE (self);
#line 1070 "SourceSelector.c"
}


static void
online_accounts_source_selector_finalize (GObject * obj)
{
	OnlineAccountsSourceSelector * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_SOURCE_SELECTOR, OnlineAccountsSourceSelector);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->remove_button);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->add_button);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	_g_object_unref0 (self->priv->list_box);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Views/SourceSelector.vala"
	G_OBJECT_CLASS (online_accounts_source_selector_parent_class)->finalize (obj);
#line 1088 "SourceSelector.c"
}


GType
online_accounts_source_selector_get_type (void)
{
	static volatile gsize online_accounts_source_selector_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_source_selector_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsSourceSelectorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_source_selector_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsSourceSelector), 0, (GInstanceInitFunc) online_accounts_source_selector_instance_init, NULL };
		GType online_accounts_source_selector_type_id;
		online_accounts_source_selector_type_id = g_type_register_static (gtk_grid_get_type (), "OnlineAccountsSourceSelector", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_source_selector_type_id__volatile, online_accounts_source_selector_type_id);
	}
	return online_accounts_source_selector_type_id__volatile;
}



